KABC::Address Class Reference

`#include <address.h>`

## Public Types

enum | Type { Dom = 1, Intl = 2, Postal = 4, Parcel = 8, Home = 16, Work = 32, Pref = 64 }
typedef QValueList< Address > | List
typedef QValueList< int > | TypeList

## Public Member Functions

| Address ()
| Address (int)
bool | operator== (const Address &) const
bool | operator!= (const Address &) const
bool | isEmpty () const
void | clear ()
void | setId (const QString &)
QString | id () const
void | setType (int type)
int | type () const
QString | typeLabel () const
void | setPostOfficeBox (const QString &)
QString | postOfficeBox () const
void | setExtended (const QString &)
QString | extended () const
void | setStreet (const QString &)
QString | street () const
void | setLocality (const QString &)
QString | locality () const
void | setRegion (const QString &)
QString | region () const
void | setPostalCode (const QString &)
QString | postalCode () const
void | setCountry (const QString &)
QString | country () const
void | setLabel (const QString &)
QString | label () const
void | dump () const
QString | formattedAddress (const QString &realName=QString::null, const QString &orgaName=QString::null) const

## Static Public Member Functions

static QString | postOfficeBoxLabel ()
static QString | extendedLabel ()
static QString | streetLabel ()
static QString | localityLabel ()
static QString | regionLabel ()
static QString | postalCodeLabel ()
static QString | countryLabel ()
static QString | labelLabel ()
static TypeList | typeList ()
static QString | typeLabel (int type)
static QString | countryToISO (const QString &cname)
static QString | ISOtoCountry (const QString &ISOname)

## Friends

KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Address &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Address &)

## Detailed Description

Postal address information.

This class represents information about a postal address.

Definition at line 55 of file address.h.

## Member Typedef Documentation

typedef QValueList<Address> KABC::Address::List

List of addresses.

Definition at line 64 of file address.h.

## Member Enumeration Documentation

enum KABC::Address::Type

Address types:

- `Dom` - domestic
- `Intl` - international
- `Postal` - postal
- `Parcel` - parcel
- `Home` - home address
- `Work` - address at work
- `Pref` - preferred address

Definition at line 78 of file address.h.

## Constructor & Destructor Documentation

Address::Address | ( |  | ) |

Constructor that creates an empty Address, which is initialized with a unique id (see id()).

Definition at line 37 of file address.cpp.

Address::Address | ( | int | type | ) |

This is like Address() just above, with the difference that you can specify the type.

Definition at line 43 of file address.cpp.

## Member Function Documentation

void Address::clear | ( |  | ) |

Clears all entries of the address.

Definition at line 83 of file address.cpp.

QString Address::country | ( |  | ) | const

Returns the country.

Definition at line 246 of file address.cpp.

QString Address::countryLabel | ( |  | ) |

static

Returns the translated label for country field.

Definition at line 251 of file address.cpp.

QString Address::countryToISO | ( | const QString & | cname | ) |

static

Returns ISO code for a localized country name.

Only localized country names will be understood. This might be replaced by a KLocale method in the future.

Parameters

  cname | name of the country

Returns
  two digit ISO code

Definition at line 510 of file address.cpp.

void Address::dump | ( |  | ) | const

Used for debug output.

Definition at line 317 of file address.cpp.

QString Address::extended | ( |  | ) | const

Returns the extended address information.

Definition at line 156 of file address.cpp.

QString Address::extendedLabel | ( |  | ) |

static

Returns the translated label for extended field.

Definition at line 161 of file address.cpp.

QString Address::formattedAddress | ( | const QString & | realName = `QString::null`,
|  | const QString & | orgaName = `QString::null`
| ) |  | const

Returns this address formatted according to the country-specific address formatting rules.

The formatting rules applied depend on either the addresses country field, or (if the latter is empty) on the system country setting. If companyName is provided, an available business address format will be preferred.

Parameters

  realName | the formatted name of the contact
  orgaName | the name of the organization or company

Returns
  the formatted address (containing newline characters)

Definition at line 329 of file address.cpp.

bool Address::isEmpty | ( |  | ) | const

Returns true, if the address is empty.

Definition at line 68 of file address.cpp.

QString Address::ISOtoCountry | ( | const QString & | ISOname | ) |

static

Returns a localized country name for a ISO code.

This might be replaced by a KLocale method in the future.

Parameters

  ISOname | two digit ISO code

Returns
  localized name of the country

Since
  3.2

Definition at line 547 of file address.cpp.

QString Address::label | ( |  | ) | const

Returns the delivery label.

Definition at line 264 of file address.cpp.

QString Address::labelLabel | ( |  | ) |

static

Returns the translated label for delivery label field.

Definition at line 269 of file address.cpp.

QString Address::locality | ( |  | ) | const

Returns the locality.

Definition at line 192 of file address.cpp.

QString Address::localityLabel | ( |  | ) |

static

Returns the translated label for locality field.

Definition at line 197 of file address.cpp.

QString Address::postalCode | ( |  | ) | const

Returns the postal code.

Definition at line 228 of file address.cpp.

QString Address::postalCodeLabel | ( |  | ) |

static

Returns the translated label for postal code field.

Definition at line 233 of file address.cpp.

QString Address::postOfficeBox | ( |  | ) | const

Returns the post office box.

Definition at line 138 of file address.cpp.

QString Address::postOfficeBoxLabel | ( |  | ) |

static

Returns the translated label for post office box field.

Definition at line 143 of file address.cpp.

QString Address::region | ( |  | ) | const

Returns the region.

Definition at line 210 of file address.cpp.

QString Address::regionLabel | ( |  | ) |

static

Returns the translated label for region field.

Definition at line 215 of file address.cpp.

void Address::setCountry | ( | const QString & | s | ) |

Sets the country.

Definition at line 239 of file address.cpp.

void Address::setExtended | ( | const QString & | s | ) |

Sets the extended address information.

Definition at line 149 of file address.cpp.

void Address::setId | ( | const QString & | id | ) |

Sets the unique id.

Definition at line 88 of file address.cpp.

void Address::setLabel | ( | const QString & | s | ) |

Sets the delivery label.

This is the literal text to be used as label.

Definition at line 257 of file address.cpp.

void Address::setLocality | ( | const QString & | s | ) |

Sets the locality, e.g.

city.

Definition at line 185 of file address.cpp.

void Address::setPostalCode | ( | const QString & | s | ) |

Sets the postal code.

Definition at line 221 of file address.cpp.

void Address::setPostOfficeBox | ( | const QString & | s | ) |

Sets the post office box.

Definition at line 131 of file address.cpp.

void Address::setRegion | ( | const QString & | s | ) |

Sets the region, e.g.

state.

Definition at line 203 of file address.cpp.

void Address::setStreet | ( | const QString & | s | ) |

Sets the street (including number).

Definition at line 167 of file address.cpp.

void Address::setType | ( | int | type | ) |

Sets the type of address.

See enum for definiton of types.

Parameters

  type | type, can be a bitwise or of multiple types.

Definition at line 100 of file address.cpp.

QString Address::street | ( |  | ) | const

Returns the street.

Definition at line 174 of file address.cpp.

QString Address::streetLabel | ( |  | ) |

static

Returns the translated label for street field.

Definition at line 179 of file address.cpp.

int Address::type | ( |  | ) | const

Returns the type of address.

Can be a bitwise or of multiple types.

Definition at line 107 of file address.cpp.

QString Address::typeLabel | ( |  | ) | const

Returns a translated string of all types the address has.

Definition at line 112 of file address.cpp.

QString Address::typeLabel | ( | int | type | ) |

static

Returns the translated label for a special type.

Definition at line 284 of file address.cpp.

Address::TypeList Address::typeList | ( |  | ) |

static

Returns the list of available types.

Definition at line 274 of file address.cpp.

The documentation for this class was generated from the following files:

- address.h
- address.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys